Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class HexBinary

    java.lang.Object
      |
      +--org.apache.axis.types.HexBinary

All Implemented Interfaces:
  java.io.Serializable

public class HexBinary
extends java.lang.Object
implements java.io.Serializable

Custom class for supporting primitive XSD data type hexBinary.

Author:
  Davanum Srinivas
See Also:
  Serialized Form

Field Summary
`static int[]` | `DEC`
`static java.lang.String` | `ERROR_BAD_CHARACTER_IN_HEX_STRING`
`static java.lang.String` | `ERROR_ODD_NUMBER_OF_DIGITS`

Constructor Summary
`HexBinary()`
`HexBinary(byte[] bytes)`
`HexBinary(java.lang.String string)`

Method Summary
`static int` | `convert2Int(byte[] hex)` Convert 4 hex digits to an int, and return the number of converted bytes.
`static byte[]` | `decode(java.lang.String digits)` Convert a String of hexadecimal digits into the corresponding byte array by encoding each two hexadecimal digits as a byte.
`static java.lang.String` | `encode(byte[] bytes)` Convert a byte array into a printable format containing a String of hexadecimal digit characters (two per byte).
`boolean` | `equals(java.lang.Object object)`
`byte[]` | `getBytes()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR_ODD_NUMBER_OF_DIGITS

    public static final java.lang.String ERROR_ODD_NUMBER_OF_DIGITS

### ERROR_BAD_CHARACTER_IN_HEX_STRING

    public static final java.lang.String ERROR_BAD_CHARACTER_IN_HEX_STRING

### DEC

    public static final int[] DEC

Constructor Detail

### HexBinary

    public HexBinary()

### HexBinary

    public HexBinary(java.lang.String string)

### HexBinary

    public HexBinary(byte[] bytes)

Method Detail

### getBytes

    public byte[] getBytes()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### decode

    public static byte[] decode(java.lang.String digits)

  Convert a String of hexadecimal digits into the corresponding byte array by encoding each two hexadecimal digits as a byte.

  Parameters:
    `digits` - Hexadecimal digits representation
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid hexadecimal digit is found, or the input string contains an odd number of hexadecimal digits

### encode

    public static java.lang.String encode(byte[] bytes)

  Convert a byte array into a printable format containing a String of hexadecimal digit characters (two per byte).

  Parameters:
    `bytes` - Byte array representation

### convert2Int

    public static int convert2Int(byte[] hex)

  Convert 4 hex digits to an int, and return the number of converted bytes.

  Parameters:
    `hex` - Byte array containing exactly four hexadecimal digits
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid hexadecimal digit is included

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.